# Pterodactyl backup Downloader
Script sloužící k stahování záloh z Pterodactyl CP.

Script při spuštění stahne poslední zálohu, uložíjí a umožňuje i informovani o stažení zálohy přes discord webhook(Při použití webserveru posílá odkaz na stažení). Zároveň taky odmazávání starších záloh.

## Setup

###### Požadavky
1. Python 3.12
2. Python PDM

###### Instalace a konfigurace
1. Stažení a rozbalení tohoto repozitáře
	- Ručně
	- Pomocí GITu --> "git clone https://forgejo.benicek.xyz/jbenicek/pterodactyl_backup_downloader.git"

2. Ve složce spustit příkaz "pdm install" (stahne a nainstaluje do této složky všechny potřebné knihovny)
3. přejmenovat soubor .env.exampe na .env a otevřít v textovém editoru a nastavit
	- API_SERVER=https://example.com ---> Pterodactyl API server
	- API_TOKEN=bhosue7w7ruhwhb8wu9ru2u70y7435htqph ---> Přístupový token vygenerovaný v administraci
	- SERVER_ID=yugytt457b ---> ID serveru
	- SAVE_DIR=/dir ---> Úplná cesta ke složce pro ukládání záloh
	- DISCORD_WEBHOOK=https://webhookaddress ---> Discord webhook URL
	- MAIN_DOMAIN=http://baseOfDomainForbackupsPropagationViaWebhook ---> URL na které budou zálohy k dispozici ke stažení
	- DISCORD_BACKUPNAME=ServerName ---> Názvy záloh (popřípadě jméno serveru v případě stahování a informování vice různých serverů)
	- DISCORD_ENABLED=1 ---> Povolení sdílení na discordu (1-on : 0-off)
	- BACKUPS_KEEP_DAYS=4 ---> Počet dní po kterých se stažená záloha smaže
	- TRY_NUMBER=5 ---> Počet pokusů o stažení

###### Spuštění
- Scritp se spouští příkazem "pdm start"